Linux kernel mirror (for testing) git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
kernel os linux
1
fork

Configure Feed

Select the types of activity you want to include in your feed.

Merge tag 'powerpc-6.17-3' of git://git.kernel.org/pub/scm/linux/kernel/git/powerpc/linux

Pull powerpc fixes from Madhavan Srinivasan:

- Merge two CONFIG_POWERPC64_CPU entries in Kconfig.cputype

- Replace extra-y to always-y in Makefile

- Cleanup to use dev_fwnode helper

- Fix misleading comment in kvmppc_prepare_to_enter()

- misc cleanup and fixes

Thanks to Amit Machhiwal, Andrew Donnellan, Christophe Leroy, Gautam
Menghani, Jiri Slaby (SUSE), Masahiro Yamada, Shrikanth Hegde, Stephen
Rothwell, Venkat Rao Bagalkote, and Xichao Zhao

* tag 'powerpc-6.17-3' of git://git.kernel.org/pub/scm/linux/kernel/git/powerpc/linux:
powerpc/boot/install.sh: Fix shellcheck warnings
powerpc/prom_init: Fix shellcheck warnings
powerpc/kvm: Fix ifdef to remove build warning
powerpc: unify two CONFIG_POWERPC64_CPU entries in the same choice block
powerpc: use always-y instead of extra-y in Makefiles
powerpc/64: Drop unnecessary 'rc' variable
powerpc: Use dev_fwnode()
KVM: PPC: Fix misleading interrupts comment in kvmppc_prepare_to_enter()

+34 -42
+3 -3
arch/powerpc/boot/Makefile
··· 243 243 hostprogs := addnote hack-coff mktree 244 244 245 245 targets += $(patsubst $(obj)/%,%,$(obj-boot) wrapper.a) zImage.lds 246 - extra-y := $(obj)/wrapper.a $(obj-plat) $(obj)/empty.o \ 246 + always-y := $(obj)/wrapper.a $(obj-plat) $(obj)/empty.o \ 247 247 $(obj)/zImage.lds $(obj)/zImage.coff.lds $(obj)/zImage.ps3.lds 248 248 249 249 dtstree := $(src)/dts 250 250 251 251 wrapper := $(src)/wrapper 252 - wrapperbits := $(extra-y) $(addprefix $(obj)/,addnote hack-coff mktree) \ 252 + wrapperbits := $(always-y) $(addprefix $(obj)/,addnote hack-coff mktree) \ 253 253 $(wrapper) FORCE 254 254 255 255 ############# ··· 456 456 WRAPPER_BINDIR := /usr/sbin 457 457 INSTALL := install 458 458 459 - extra-installed := $(patsubst $(obj)/%, $(DESTDIR)$(WRAPPER_OBJDIR)/%, $(extra-y)) 459 + extra-installed := $(patsubst $(obj)/%, $(DESTDIR)$(WRAPPER_OBJDIR)/%, $(always-y)) 460 460 hostprogs-installed := $(patsubst %, $(DESTDIR)$(WRAPPER_BINDIR)/%, $(hostprogs)) 461 461 wrapper-installed := $(DESTDIR)$(WRAPPER_BINDIR)/wrapper 462 462 dts-installed := $(patsubst $(dtstree)/%, $(DESTDIR)$(WRAPPER_DTSDIR)/%, $(wildcard $(dtstree)/*.dts))
+7 -7
arch/powerpc/boot/install.sh
··· 19 19 set -e 20 20 21 21 # this should work for both the pSeries zImage and the iSeries vmlinux.sm 22 - image_name=`basename $2` 22 + image_name=$(basename "$2") 23 23 24 24 25 25 echo "Warning: '${INSTALLKERNEL}' command not available... Copying" \ 26 26 "directly to $4/$image_name-$1" >&2 27 27 28 - if [ -f $4/$image_name-$1 ]; then 29 - mv $4/$image_name-$1 $4/$image_name-$1.old 28 + if [ -f "$4"/"$image_name"-"$1" ]; then 29 + mv "$4"/"$image_name"-"$1" "$4"/"$image_name"-"$1".old 30 30 fi 31 31 32 - if [ -f $4/System.map-$1 ]; then 33 - mv $4/System.map-$1 $4/System-$1.old 32 + if [ -f "$4"/System.map-"$1" ]; then 33 + mv "$4"/System.map-"$1" "$4"/System-"$1".old 34 34 fi 35 35 36 - cat $2 > $4/$image_name-$1 37 - cp $3 $4/System.map-$1 36 + cat "$2" > "$4"/"$image_name"-"$1" 37 + cp "$3" "$4"/System.map-"$1"
+3 -1
arch/powerpc/kernel/Makefile
··· 199 199 200 200 obj-$(CONFIG_PPC_OF_BOOT_TRAMPOLINE) += prom_init.o 201 201 obj64-$(CONFIG_PPC_OF_BOOT_TRAMPOLINE) += prom_entry_64.o 202 - extra-$(CONFIG_PPC_OF_BOOT_TRAMPOLINE) += prom_init_check 202 + ifdef KBUILD_BUILTIN 203 + always-$(CONFIG_PPC_OF_BOOT_TRAMPOLINE) += prom_init_check 204 + endif 203 205 204 206 obj-$(CONFIG_PPC64) += $(obj64-y) 205 207 obj-$(CONFIG_PPC32) += $(obj32-y)
+4 -4
arch/powerpc/kernel/kvm.c
··· 632 632 #endif 633 633 } 634 634 635 - switch (inst_no_rt & ~KVM_MASK_RB) { 636 635 #ifdef CONFIG_PPC_BOOK3S_32 636 + switch (inst_no_rt & ~KVM_MASK_RB) { 637 637 case KVM_INST_MTSRIN: 638 638 if (features & KVM_MAGIC_FEAT_SR) { 639 639 u32 inst_rb = _inst & KVM_MASK_RB; 640 640 kvm_patch_ins_mtsrin(inst, inst_rt, inst_rb); 641 641 } 642 642 break; 643 - #endif 644 643 } 644 + #endif 645 645 646 - switch (_inst) { 647 646 #ifdef CONFIG_BOOKE 647 + switch (_inst) { 648 648 case KVM_INST_WRTEEI_0: 649 649 kvm_patch_ins_wrteei_0(inst); 650 650 break; ··· 652 652 case KVM_INST_WRTEEI_1: 653 653 kvm_patch_ins_wrtee(inst, 0, 1); 654 654 break; 655 - #endif 656 655 } 656 + #endif 657 657 } 658 658 659 659 extern u32 kvm_template_start[];
+8 -8
arch/powerpc/kernel/prom_init_check.sh
··· 15 15 16 16 has_renamed_memintrinsics() 17 17 { 18 - grep -q "^CONFIG_KASAN=y$" ${KCONFIG_CONFIG} && \ 19 - ! grep -q "^CONFIG_CC_HAS_KASAN_MEMINTRINSIC_PREFIX=y" ${KCONFIG_CONFIG} 18 + grep -q "^CONFIG_KASAN=y$" "${KCONFIG_CONFIG}" && \ 19 + ! grep -q "^CONFIG_CC_HAS_KASAN_MEMINTRINSIC_PREFIX=y" "${KCONFIG_CONFIG}" 20 20 } 21 21 22 22 if has_renamed_memintrinsics ··· 42 42 { 43 43 file=$1 44 44 section=$2 45 - size=$(objdump -h -j $section $file 2>/dev/null | awk "\$2 == \"$section\" {print \$3}") 45 + size=$(objdump -h -j "$section" "$file" 2>/dev/null | awk "\$2 == \"$section\" {print \$3}") 46 46 size=${size:-0} 47 - if [ $size -ne 0 ]; then 47 + if [ "$size" -ne 0 ]; then 48 48 ERROR=1 49 49 echo "Error: Section $section not empty in prom_init.c" >&2 50 50 fi 51 51 } 52 52 53 - for UNDEF in $($NM -u $OBJ | awk '{print $2}') 53 + for UNDEF in $($NM -u "$OBJ" | awk '{print $2}') 54 54 do 55 55 # On 64-bit nm gives us the function descriptors, which have 56 56 # a leading . on the name, so strip it off here. ··· 87 87 fi 88 88 done 89 89 90 - check_section $OBJ .data 91 - check_section $OBJ .bss 92 - check_section $OBJ .init.data 90 + check_section "$OBJ" .data 91 + check_section "$OBJ" .bss 92 + check_section "$OBJ" .init.data 93 93 94 94 exit $ERROR
+1 -4
arch/powerpc/kernel/setup_64.c
··· 141 141 smt_enabled_at_boot = 0; 142 142 else { 143 143 int smt; 144 - int rc; 145 - 146 - rc = kstrtoint(smt_enabled_cmdline, 10, &smt); 147 - if (!rc) 144 + if (!kstrtoint(smt_enabled_cmdline, 10, &smt)) 148 145 smt_enabled_at_boot = 149 146 min(threads_per_core, smt); 150 147 }
+1 -1
arch/powerpc/kvm/powerpc.c
··· 69 69 70 70 /* 71 71 * Common checks before entering the guest world. Call with interrupts 72 - * disabled. 72 + * enabled. 73 73 * 74 74 * returns: 75 75 *
+1 -2
arch/powerpc/platforms/8xx/cpm1-ic.c
··· 110 110 111 111 out_be32(&data->reg->cpic_cimr, 0); 112 112 113 - data->host = irq_domain_create_linear(of_fwnode_handle(dev->of_node), 114 - 64, &cpm_pic_host_ops, data); 113 + data->host = irq_domain_create_linear(dev_fwnode(dev), 64, &cpm_pic_host_ops, data); 115 114 if (!data->host) 116 115 return -ENODEV; 117 116
+4 -9
arch/powerpc/platforms/Kconfig.cputype
··· 122 122 If unsure, select Generic. 123 123 124 124 config POWERPC64_CPU 125 - bool "Generic (POWER5 and PowerPC 970 and above)" 126 - depends on PPC_BOOK3S_64 && !CPU_LITTLE_ENDIAN 125 + bool "Generic 64 bits powerpc" 126 + depends on PPC_BOOK3S_64 127 + select ARCH_HAS_FAST_MULTIPLIER if CPU_LITTLE_ENDIAN 127 128 select PPC_64S_HASH_MMU 128 - 129 - config POWERPC64_CPU 130 - bool "Generic (POWER8 and above)" 131 - depends on PPC_BOOK3S_64 && CPU_LITTLE_ENDIAN 132 - select ARCH_HAS_FAST_MULTIPLIER 133 - select PPC_64S_HASH_MMU 134 - select PPC_HAS_LBARX_LHARX 129 + select PPC_HAS_LBARX_LHARX if CPU_LITTLE_ENDIAN 135 130 136 131 config POWERPC_CPU 137 132 bool "Generic 32 bits powerpc"
+2 -3
arch/powerpc/sysdev/fsl_msi.c
··· 412 412 } 413 413 platform_set_drvdata(dev, msi); 414 414 415 - msi->irqhost = irq_domain_create_linear(of_fwnode_handle(dev->dev.of_node), 416 - NR_MSI_IRQS_MAX, &fsl_msi_host_ops, msi); 417 - 415 + msi->irqhost = irq_domain_create_linear(dev_fwnode(&dev->dev), NR_MSI_IRQS_MAX, 416 + &fsl_msi_host_ops, msi); 418 417 if (msi->irqhost == NULL) { 419 418 dev_err(&dev->dev, "No memory for MSI irqhost\n"); 420 419 err = -ENOMEM;